This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 575022 - rsyncd gets confused with timezones when logging to syslog
rsyncd gets confused with timezones when logging to syslog
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Vojtech Vitek
Aleš Mareček
:
Depends On: 201019 339971 737827
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 03:48 EDT by Jan Zeleny
Modified: 2015-03-04 18:56 EST (History)
7 users (show)

See Also:
Fixed In Version: rsync-3.0.6-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 201019
Environment:
Last Closed: 2011-07-21 06:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (1.19 KB, patch)
2011-05-31 05:20 EDT, Jan Kaluža
no flags Details | Diff

  None (edit)
Description Jan Zeleny 2010-03-19 03:48:37 EDT
+++ This bug was initially created as a clone of Bug #201019 +++

Description of problem:
I'm running rsyncd and it seems to be getting confused with the time-zone when
logging. Here's a typical entry in messages:

Aug 2 09:30:01 rsyncd[8174]: rsync on /home from user@host (192.168.0.1)
Aug 2 08:30:01 rsyncd[8174]: wrote 2629 bytes read 122 bytes total size 626582

The correct local time is 09:30:01, whereas GMT is 08:30:01. So for some reason
it logs its first entry in local time, then the second entry in GMT. Every other
application logs using local time.

Version-Release number of selected component (if applicable):
2.6.3

How reproducible:
Always

Steps to Reproduce:
1. Run rsyncd
2. Connect to it and perform some operation

Actual results:
The two log entries generated by rsyncd in messages use different time zones.

Expected results:
The two log entries generated by rsyncd in messages both use local time.

--- Additional comment from d.tonhofer@m-plify.com on 2007-10-21 23:29:59 CEST ---

Same as bug #205326

--- Additional comment from ssorce@redhat.com on 2007-10-22 09:30:58 CEST ---

*** Bug 205326 has been marked as a duplicate of this bug. ***

--- Additional comment from jzeleny@redhat.com on 2010-03-05 11:04:59 CET ---

Since there is only one more release of RHEL-4 planned and it will be focused on security and performance, I'm planning to close this bug as WONTFIX. Can you please confirm this behavior in RHEL5 or is it solved there?

--- Additional comment from dj@david-web.co.uk on 2010-03-18 19:20:21 CET ---

I'm afraid I no longer have a RHEL system to test this with, but I managed to find this upstream bug, which says that this bug was fixed in rsync 2.6.9:
https://bugzilla.samba.org/show_bug.cgi?id=2607

--- Additional comment from jzeleny@redhat.com on 2010-03-19 08:47:35 CET ---

Thank you very much. It looks like the issue hasn't been fixed in RHEL-5. I'm copying the bug there and closing this one.
Comment 2 RHEL Product and Program Management 2010-08-09 15:39:18 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2011-01-11 15:54:48 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2011-01-12 10:07:35 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 11 Jan Kaluža 2011-05-31 05:20:38 EDT
Created attachment 501951 [details]
proposed patch

This patch fixes the bug by setting TZ variable in chrooted environment (that's needed, because /etc/timezone is not there).
Comment 17 errata-xmlrpc 2011-07-21 06:49:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0999.html

Note You need to log in before you can comment on or make changes to this bug.